package com.hfkj.service.meal;

import com.hfkj.entity.BsMealShopCart;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMealShopCartService
 * @author: HuRui
 * @date: 2023/11/30
 **/
public interface BsMealShopCartService {

    /**
     * 编辑数据
     * @param shopCart
     */
    void editData(BsMealShopCart shopCart);

    /**
     * 增加产品
     * @param serialNumber
     * @param productId
     */
    void addProduct(String serialNumber,Long productId,String userIdentity);

    /**
     * 减少产品
     * @param serialNumber
     * @param productId
     */
    void reduceProduct(String serialNumber,Long productId,String userIdentity);

    /**
     * 清除产品
     * @param serialNumber
     * @param userIdentity
     */
    void clear(String serialNumber,String userIdentity);

    /**
     * 清楚产品数据
     * @param serialNumber
     */
    void clearData(String serialNumber);

    /**
     * 查询购物车产品
     * @param orderNo 订单号
     * @param productId 产品id
     */
    BsMealShopCart getShopCartProduct(String orderNo,Long productId);

    /**
     * 查询购物车产品列表
     * @param param
     * @return
     */
    List<BsMealShopCart> getShopCartProductList(Map<String,Object> param);

}
